Description: Use Pd64-safe types
Author: IOhannes m zmölnig
Origin: Debian
Forwarded: no
Last-Update: 2024-06-17
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-mrpeach.orig/binfile/binfile.c
+++ pd-mrpeach/binfile/binfile.c
@@ -242,7 +242,7 @@
     if (x->x_rd_offset < x->x_length)
     {
         c = x->x_buf[x->x_rd_offset++];
-        outlet_float(x->x_bin_outlet, (float)c);
+        outlet_float(x->x_bin_outlet, (t_float)c);
     }
     else outlet_bang(x->x_bang_outlet);
 }
@@ -257,7 +257,7 @@
 /* add a list of bytes to the buffer */
 {
     int         i, j;
-    float       f;
+    t_float       f;
 
     for (i = 0; i < argc; ++i)
     {
--- pd-mrpeach.orig/life2x/life2x.c
+++ pd-mrpeach/life2x/life2x.c
@@ -402,7 +402,7 @@
 static void life2x_randomize(t_life2x *x, t_floatarg f)
 { /* set a random fraction of the array alive */
     short   i, j;
-    float   threshold;
+    t_float   threshold;
 
     if (f > 1.0) f = 1.0;
     else if (f < 0.0) f = 0.0;
--- pd-mrpeach.orig/net/tcpclient.c
+++ pd-mrpeach/net/tcpclient.c
@@ -334,7 +334,7 @@
     static char     byte_buf[BYTE_BUF_LEN];
     int             i, j, d;
     unsigned char   c;
-    float           f, e;
+    t_float           f, e;
     size_t          sent = 0;
     char            fpath[FILENAME_MAX];
     FILE            *fptr;
@@ -520,7 +520,7 @@
 /* Get/set the send buffer size of client socket */
 static void tcpclient_buf_size(t_tcpclient *x, t_symbol *s, int argc, t_atom *argv)
 {
-    float   buf_size = 0;
+    t_float   buf_size = 0;
 
     if(x->x_connectstate == 0)
     {
@@ -585,7 +585,7 @@
                 for (i = 0; i < ret; ++i)
                 {
                     /* convert the bytes in the buffer to floats in a list */
-                    x->x_msgoutbuf[i].a_w.w_float = (float)x->x_msginbuf[i];
+                    x->x_msgoutbuf[i].a_w.w_float = (t_float)x->x_msginbuf[i];
                 }
                 /* find sender's ip address and output it */
                 x->x_addrbytes[0].a_w.w_float = (x->x_addr & 0xFF000000)>>24;
--- pd-mrpeach.orig/net/tcpreceive.c
+++ pd-mrpeach/net/tcpreceive.c
@@ -91,7 +91,7 @@
         for (i = 0; i < read; ++i)
         {
             /* convert the bytes in the buffer to floats in a list */
-            x->x_msgoutbuf[i].a_w.w_float = (float)x->x_msginbuf[i];
+            x->x_msgoutbuf[i].a_w.w_float = (t_float)x->x_msginbuf[i];
         }
         /* find sender's ip address and output it */
 		addr = tcpreceive_getconnection(x, sockfd);
--- pd-mrpeach.orig/net/tcpsend.c
+++ pd-mrpeach/net/tcpsend.c
@@ -124,7 +124,7 @@
     int             i, j;
     unsigned int    d;
     unsigned char   c;
-    float           f, e;
+    t_float           f, e;
     char            *bp;
     int             length, sent;
     int             result;
--- pd-mrpeach.orig/net/tcpserver.c
+++ pd-mrpeach/net/tcpserver.c
@@ -244,7 +244,7 @@
     for (indx = intail, i = 0; indx != inhead; indx = (indx+1)&(INBUFSIZE-1), ++i)
     {
         c = *bp++ = inbuf[indx];
-        y->x_msgoutbuf[i].a_w.w_float = (float)c;
+        y->x_msgoutbuf[i].a_w.w_float = (t_float)c;
     }
 
     if (y->x_dump)tcpserver_hexdump(&inbuf[intail], i, y->x_verbosity);
@@ -339,7 +339,7 @@
     static char             byte_buf[MAX_UDP_RECEIVE];// arbitrary maximum similar to max IP packet size
     int                     i, j, d;
     unsigned char           c;
-    float                   f, e;
+    t_float                   f, e;
     int                     length;
     size_t                  flen = 0;
     int                     sockfd = x->x_sr[client]->sr_fd;
@@ -783,7 +783,7 @@
 static void tcpserver_buf_size(t_tcpserver *x, t_symbol *s, int argc, t_atom *argv)
 {
     int     client = -1;
-    float   buf_size = 0;
+    t_float   buf_size = 0;
 //    t_atom  output_atom[3];
 
     if(x->x_nconnections <= 0)
@@ -833,7 +833,7 @@
     static char                     byte_buf[MAX_UDP_RECEIVE];// arbitrary maximum similar to max IP packet size
     int                             i, j, d;
     unsigned char                   c;
-    float                           f, e;
+    t_float                           f, e;
     int                             length;
     size_t                          flen = 0;
     int                             sockfd = 0;
--- pd-mrpeach.orig/net/udpreceive.c
+++ pd-mrpeach/net/udpreceive.c
@@ -86,7 +86,7 @@
         for (i = 0; i < read; ++i)
         {
             /* convert the bytes in the buffer to floats in a list */
-            x->x_msgoutbuf[i].a_w.w_float = (float)(unsigned char)x->x_msginbuf[i];
+            x->x_msgoutbuf[i].a_w.w_float = (t_float)(unsigned char)x->x_msginbuf[i];
         }
         x->x_total_received += read;
         SETFLOAT(&output_atom, read);
--- pd-mrpeach.orig/net/udpsend.c
+++ pd-mrpeach/net/udpsend.c
@@ -467,7 +467,7 @@
     int            d;
     int            i, j;
     unsigned char  c;
-    float          f, e;
+    t_float          f, e;
     char           *bp;
     int            length, sent;
     int            result;
--- pd-mrpeach.orig/net/udpsend~.c
+++ pd-mrpeach/net/udpsend~.c
@@ -770,7 +770,7 @@
     if (arg == 0.0)
         udpsend_tilde_disconnect(x);
     else
-        udpsend_tilde_connect(x,x->x_hostname,(float) x->x_portno);
+        udpsend_tilde_connect(x,x->x_hostname,(t_float) x->x_portno);
 }
 
 /* send stream info */
--- pd-mrpeach.orig/net/udpsndrcv.c
+++ pd-mrpeach/net/udpsndrcv.c
@@ -125,7 +125,7 @@
         for (i = 0; i < read; ++i)
         {
             /* convert the bytes in the buffer to floats in a list */
-            x->x_msgoutbuf[i].a_w.w_float = (float)(unsigned char)x->x_msginbuf[i];
+            x->x_msgoutbuf[i].a_w.w_float = (t_float)(unsigned char)x->x_msginbuf[i];
         }
         x->x_total_received += read;
         SETFLOAT(&output_atom, read);
@@ -264,7 +264,7 @@
     int            d;
     int            i, j;
     unsigned char  c;
-    float          f, e;
+    t_float          f, e;
     char           *bp;
     int            length, sent;
     int            result;
--- pd-mrpeach.orig/net/udpsrvr.c
+++ pd-mrpeach/net/udpsrvr.c
@@ -134,7 +134,7 @@
         for (i = 0; i < read; ++i)
         {
             /* convert the bytes in the buffer to floats in a list */
-            x->x_msgoutbuf[i].a_w.w_float = (float)(unsigned char)x->x_msginbuf[i];
+            x->x_msgoutbuf[i].a_w.w_float = (t_float)(unsigned char)x->x_msginbuf[i];
         }
         x->x_total_received += read;
         SETFLOAT(&output_atom, read);
@@ -325,7 +325,7 @@
     int            d;
     int            i, j;
     unsigned char  c;
-    float          f, e;
+    t_float          f, e;
     char           *bp;
     int            length, sent;
     int            result;
--- pd-mrpeach.orig/osc/pipelist.c
+++ pd-mrpeach/osc/pipelist.c
@@ -17,7 +17,7 @@
 typedef struct _pipelist
 {
     t_object    x_obj;
-    float       x_deltime;
+    t_float       x_deltime;
     t_outlet    *x_pipelistout;
     t_hang      *x_hang;
 } t_pipelist;
@@ -35,7 +35,7 @@
 static void *pipelist_new(t_symbol *s, int argc, t_atom *argv)
 {
     t_pipelist  *x = (t_pipelist *)pd_new(pipelist_class);
-    float       deltime;
+    t_float       deltime;
 
     if (argc)
     { /* We accept one argument to set the delay time, ignore any further args */
--- pd-mrpeach.orig/osc/unpackOSC.c
+++ pd-mrpeach/osc/unpackOSC.c
@@ -687,7 +687,7 @@
         /* if (ttusec < nowusec) return 0.0; */
         /*negative delays are all right */
         delta = ttusec - nowusec;
-        return (float)(delta*0.001f);
+        return (t_float)(delta*0.001f);
     }
 }
 /* end of unpackOSC.c */
--- pd-mrpeach.orig/rc~/rc~.c
+++ pd-mrpeach/rc~/rc~.c
@@ -24,8 +24,8 @@
     t_sample        *in = (t_sample *)(w[2]);
     t_sample        *out = (t_sample *)(w[3]);
     int             n = (int)(w[4]);
-    float           slewrate;
-    float           sp = 1.0/sys_getsr();
+    t_float           slewrate;
+    t_float           sp = 1.0/sys_getsr();
 
     if (x->rc_rc < sp) slewrate = 1.0;    
     else slewrate = sp/x->rc_rc;
--- pd-mrpeach.orig/runningmean/runningmean.c
+++ pd-mrpeach/runningmean/runningmean.c
@@ -35,8 +35,8 @@
 
 static void runningmean_float(t_runningmean *x, t_float f)
 {
-    float   *p = x->x_data;
-    float   total = 0;
+    t_float   *p = x->x_data;
+    t_float   total = 0;
     int     i;
 
     if (x->x_n > 0)
@@ -71,7 +71,7 @@
 
 static void runningmean_zero(t_runningmean *x, t_float f)
 {
-    float   *p = x->x_data;
+    t_float   *p = x->x_data;
     int     i;
 
     /* set the entire array to f */
@@ -105,10 +105,10 @@
     }
     {
         x->x_n = (int)f;
-        x->x_data = (t_float *)getbytes(sizeof(float)*x->x_n);
+        x->x_data = (t_float *)getbytes(sizeof(t_float)*x->x_n);
         if (x->x_data == NULL)
         {
-            post("runningmean unable to allocate %lu bytes of memory, using %d", sizeof(float)*x->x_n, RUNNINGMEAN_MAX);
+            post("runningmean unable to allocate %lu bytes of memory, using %d", sizeof(t_float)*x->x_n, RUNNINGMEAN_MAX);
             x->x_n = RUNNINGMEAN_MAX;
             //x->x_data = (t_float *)getbytes(x->x_n);
             if (x->x_data == NULL)
--- pd-mrpeach.orig/serializer/sprint.c
+++ pd-mrpeach/serializer/sprint.c
@@ -34,7 +34,7 @@
     }
     else if (argc >= 1 && argv->a_type == A_FLOAT)
     {
-        float f = argv->a_w.w_float;
+        t_float f = argv->a_w.w_float;
         int i = f;
         if ((f == i) && (i >= 0) && (i < 256)) x->x_separator = i; // some 8-bit value
     }
@@ -48,7 +48,7 @@
 {
     int i;
     char c;
-    float f;
+    t_float f;
 
     for (i = 0; i < x->x_len; ++i)
     {
--- pd-mrpeach.orig/slipdec/slipdec.c
+++ pd-mrpeach/slipdec/slipdec.c
@@ -84,7 +84,7 @@
 static void slipdec_list(t_slipdec *x, t_symbol *s, int ac, t_atom *av)
 {
     /* SLIP decode a list of bytes */
-    float   f;
+    t_float   f;
     int     i, c;
 
     if (x->x_verbose) post ("slipdec_list: buffer length %d, esc = %d", x->x_slip_length, x->x_esced);
--- pd-mrpeach.orig/slipenc/slipenc.c
+++ pd-mrpeach/slipenc/slipenc.c
@@ -101,7 +101,7 @@
 static void slipenc_list(t_slipenc *x, t_symbol *s, int ac, t_atom *av)
 {
     /* SLIP encode a list of bytes */
-    float   f;
+    t_float   f;
     int     i, c;
 
     i = 0;    
--- pd-mrpeach.orig/sqosc~/sqosc~.c
+++ pd-mrpeach/sqosc~/sqosc~.c
@@ -76,11 +76,11 @@
 {
     t_object  x_obj;
     double    x_phase;
-    float     x_conv;
-    float     x_f; /* frequency if scalar */
-    float     x_pw; /* pulse width 0-1, default 0.5 */
-    float     x_bw; /* bandwidth */
-    float     x_slew; /* slew time in samples */
+    t_float     x_conv;
+    t_float     x_f; /* frequency if scalar */
+    t_float     x_pw; /* pulse width 0-1, default 0.5 */
+    t_float     x_bw; /* bandwidth */
+    t_float     x_slew; /* slew time in samples */
     double    x_dpw; /* pulse width in this pulse */
     int       x_pulse_ended; /* nonzero if pulse has finished */
 } t_sqosc;
@@ -198,12 +198,12 @@
     t_float         *out = (t_float *)(w[3]);
     t_float         sample;
     int             n = (int)(w[4]);
-    float           f1, f2, frac;
+    t_float           f1, f2, frac;
     int             index;  
     double          dphase = x->x_phase + UNITBIT32;
     int             normhipart;
     union           tabfudge tf;
-    float           conv = x->x_conv;
+    t_float           conv = x->x_conv;
     double          lastin, slewindex;
     static double   twothirds = 2.0/3.0;
     static double   onethird = 1.0/3.0;
--- pd-mrpeach.orig/str/str.c
+++ pd-mrpeach/str/str.c
@@ -232,7 +232,7 @@
     if (limit != 0)
     {/* x->x_nsplit points to the current output character */
         c = x->x_string_in1.s_data[(size_t)x->x_nsplit++];
-        outlet_float(x->x_outlet_1, (float)c);
+        outlet_float(x->x_outlet_1, (t_float)c);
     }
     if (x->x_nsplit >= limit)
     { /* bang at end of string */
@@ -578,7 +578,7 @@
 static void str_do_string(t_str *x)
 {
     size_t          i;
-    float           f;
+    t_float           f;
     unsigned char   c;
 
     switch (x->x_function)
@@ -634,7 +634,7 @@
             for (i = 0; i < x->x_string_in1_end; ++i)
             {
                 c = x->x_string_in1.s_data[i];
-                f = (float)c;
+                f = (t_float)c;
                 SETFLOAT(&x->x_atom_list[i], f);
             }
             if (x->x_string_in1_end != 0)
